MakeMCPagodaEngine< RNG, S > Class Template Reference

Monte Carlo pagoda-option engine factory. More...

`#include <ql/experimental/exoticoptions/mcpagodaengine.hpp>`

## Public Member Functions

| MakeMCPagodaEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCPagodaEngine & | withBrownianBridge (bool b=true)
MakeMCPagodaEngine & | withAntitheticVariate (bool b=true)
MakeMCPagodaEngine & | withSamples (Size samples)
MakeMCPagodaEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCPagodaEngine & | withMaxSamples (Size samples)
MakeMCPagodaEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCPagodaEngine< RNG, S >

Monte Carlo pagoda-option engine factory.